Team
List App Custom Roles
List the active custom roles defined on the App, newest first.
GET
List the active custom roles defined on the App, newest first.
api_keyheader
AuthorizationBasic <token>limit?integerMaximum number of results to return. Defaults to 100.
Range
1 <= value <= 100starting_after?stringReturn results after the role with this ID.
Format
uuidending_before?stringReturn results before the role with this ID.
Format
uuidOK
application/json- response
data?array<>has_more?booleantrue if there are more objects.
Example Request
curl -X GET 'https://api.dots.dev/api/v2/roles'Example Response
{ "data": [ { "id": "8a5f8a7e-1b0f-4f4b-9b2e-3c8d6f1e2a90", "name": "Payout operator", "actions": [ "create_payout", "get", "view_payouts_tab" ], "scope": "app" } ], "has_more": true}List Developers
List the team members with access to this App, including organization-level members (`scope: organization`). Removed members are not included. Use the returned `id` to change a member's role or remove them, and when assigning approvers on an approval policy.
Create an App Custom Role
Create a custom role on the App. Assign it to team members with `update-developer` or to new members with `create-developer-invite`.